> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/discounts-and-tips/customize-discounts/set-up-free-shipping-promotions.md).

# Set up "Free shipping" promotions

You can offer free shipping to customers through automatic promotions or discount coupons for promos like **Free delivery weekend**.

{% hint style="info" %}
If you don't yet have an app for Ecwid API access, start with the following [instructions](https://docs.ecwid.com/discounts-and-tips/customize-discounts/spaces/uOzT5egoVTAjMJwRuMQT/pages/IhHAmacGKQdbD0Fe0IUw#step-2.-get-your-first-application).
{% endhint %}

### Discounted shipping through promotion

Request example for a new promotion: "**50% Off for DHL delivery**"

```http
POST /api/v3/STOREID/promotions
Host: app.ecwid.com
Content-Type: application/json
Authorization: Bearer secret_token

{
    "name": "50% Off for DHL delivery",
    "discountBase": "SHIPPING",
    "discountType": "PERCENT",
    "amount": 50,
    "enabled": true,
    "targets": {
        "shippingMethods": ["6589-1709547151586"]
    }
}
```

where:

```json
    "discountBase": "SHIPPING",
    "discountType": "PERCENT",
    "amount": 50
```

sets up a 50% discount that only applies to the shipping cost, and `shippingMethods` array limits the discount by specific shipping method IDs.

Change `STOREID` with your store ID and the `secret_token` with the secret access token of your app.

### Free shipping through coupon

Request example for a new discount coupon: "**Free DHL delivery**"

```http
POST /api/v3/STOREID/discount_coupons
Host: app.ecwid.com
Content-Type: application/json
Authorization: Bearer secret_token

{
    "name": "Free DHL delivery",
    "code": "DHL_FREE"
    "discountType": "SHIPPING",
    "status": "ACTIVE",
    "shippingLimit": {
        "shippingMethods": ["6589-1709547151586"]
    }
}
```

where: `"discountType": "SHIPPING"` defines free shipping, and the `shippingMethods` array limits the discount to specific shipping method IDs.

Change `STOREID` with your store ID and the `secret_token` with the secret access token of your app.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/discounts-and-tips/customize-discounts/set-up-free-shipping-promotions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
